"""CapInvest Error."""

from typing import Optional, Union


class CapInvestError(Exception):
    """CapInvest Error."""

    def __init__(self, original: Optional[Union[str, Exception]] = None):
        """Initialize the CapInvestError."""
        self.original = original
        super().__init__(str(original))
